Packages not found

Parrot isn’t including debian’s package list. There are plenty that aren’t available.

I was just wondering why this is, I expected parrot to be debian with some ricing/extra things ontop of it. Not “let’s not include even all of main in our package list.”

P.S. Whoever’s idea it was to limit title length to 40 characters aught to be slapped.

hi,
under the hood is a debian, that’s right.
but:
as parrot is trimmed to security and the programs run in a sandbox, we maintain our own repository.
Everyone is welcome to extend this! :wink:

Show us example, please

┌─[root@evoc-laptop-parrot]─[/home/macarthur]
└──╼ #apt search gprename
Sorting... Done
Full Text Search... Done

https://packages.debian.org/bullseye/gprename

┌─[root@evoc-laptop-parrot]─[/home/macarthur]
└──╼ #apt search mediainfo
Sorting... Done
Full Text Search... Done
dvd+rw-tools/now 7.1-14 amd64 [installed,local]
  DVD+-RW/R tools

https://packages.debian.org/bullseye/mediainfo-gui
I had to install it from the website itself b/c debian had extra packages that weren’t in your repo. Also I hate discourse as randomly my cursor dissappears and it’s annoying as f***

Here is what i got. I am using Parrot 4.6 rolling

┌─[dmknght@parrot]─[~]
└──╼ $apt search gprename
Sorting... Done
Full Text Search... Done
gprename/rolling,rolling 20140325-1 all
  Complete batch renamer for Linux
┌─[dmknght@parrot]─[~]
└──╼ $apt search mediainfo
Sorting... Done
Full Text Search... Done
caja-mediainfo/rolling,rolling 1.0.1-2 all
  View media information from the Caja file properties tab

dvd+rw-tools/rolling,now 7.1-14+b1 amd64 [installed,automatic]
  DVD+-RW/R tools

libmediainfo-dev/rolling 18.12-2 amd64
  library reading metadata from media files -- headers

libmediainfo-doc/rolling,rolling 18.12-2 all
  library for reading metadata from media files -- documentation

libmediainfo0v5/rolling,now 18.12-2 amd64 [installed,automatic]
  library for reading metadata from media files -- shared library

mediainfo/rolling 18.12-2+b1 amd64
  command-line utility for reading information from audio/video files

mediainfo-gui/rolling 18.12-2+b1 amd64
  graphical utility for reading information from audio/video files

Did you run apt update before apt install?

Not lately, I figured parrot-upgrade handles that whenever it pops up. Also where’s the option to stop pam from overwriting my udisks configuration file because it’s annoying to have to go and recopy my backup to the original file.

Well I’m sure I speak for everyone when I say I’m so sorry you had to actually take some personal initiative and do something for yourself. P.S. this distro isn’t focused on multimedia and doesn’t claim to be

1 Like

We have all the packages from Debian except for the ones we modify, and the ones we take from other distros when they are more suited for us (They are still in the repo just not the same as what Debian has).

I found the same packages immediately. The issue is your package lists are old, running

sudo parrot-upgrade
OR
sudo apt update

from time to time will help you to avoid this issue. If you haven’t ran those or the gui updater before you start searching you might have an out-of-date archive list.

This topic was automatically closed 60 minutes after the last reply. New replies are no longer allowed.